# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSSValueList Class Reference

The `CSSValueList` interface provides the absraction of an ordered collection of CSS values. More...

`#include <css_value.h>`

Inheritance diagram for DOM::CSSValueList:

[legend]
Collaboration diagram for DOM::CSSValueList:

[legend]
List of all members.

## Public Member Functions

| CSSValueList (const CSSValueList &other)
| CSSValueList (const CSSValue &other)
| CSSValueList (CSSValueListImpl *impl)
CSSValueList & | operator= (const CSSValueList &other)
CSSValueList & | operator= (const CSSValue &other)
unsigned long | length () const
CSSValue | item (unsigned long index)

## Protected Attributes

CSSValueListImpl * | vimpl

## Detailed Description

The `CSSValueList` interface provides the absraction of an ordered collection of CSS values.

Definition at line 316 of file css_value.h.

## Member Function Documentation

unsigned long DOM::CSSValueList::length | ( |  | ) | const

| The number of `CSSValue` s in the list. The range of valid values indices is `0` to `length-1` inclusive. Definition at line 290 of file css_value.cpp.

CSSValue DOM::CSSValueList::item | ( | unsigned long | index | ) |

Used to retrieve a CSS rule by ordinal index.

The order in this collection represents the order of the values in the CSS style property.

Parameters:

  | index | Index into the collection.

Returns:
  The style rule at the `index` position in the `CSSValueList` , or `null` if that is not valid index.

Definition at line 296 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:39 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003